RectanglePaintingInfo (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp

## Class RectanglePaintingInfo

- java.lang.Object
- - org.apache.fop.afp.RectanglePaintingInfo

- All Implemented Interfaces:
    PaintingInfo

      public class RectanglePaintingInfo
      extends java.lang.Object
      implements PaintingInfo

  Filled rectangle painting information

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RectanglePaintingInfo(float x, float y, float width, float height)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected float` | `getHeight()` Returns the height
    `protected float` | `getWidth()` Returns the width
    `protected float` | `getX()` Returns the x coordinate
    `protected float` | `getY()` Returns the y coordinate

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RectanglePaintingInfo

          public RectanglePaintingInfo(float x,
                                       float y,
                                       float width,
                                       float height)

      Main constructor
      Parameters:
        `x` - the x coordinate
        `y` - the y coordinate
        `width` - the width
        `height` - the height

  - ### Method Detail

    - #### getX

          protected float getX()

      Returns the x coordinate
      Returns:
        the x coordinate

    - #### getY

          protected float getY()

      Returns the y coordinate
      Returns:
        the y coordinate

    - #### getWidth

          protected float getWidth()

      Returns the width
      Returns:
        the width

    - #### getHeight

          protected float getHeight()

      Returns the height
      Returns:
        the height

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.